Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A library which allows userspace access to USB devices
Name: 		libusb1
Version: 	1.0.8
Release: 	1
Source0: 	http://downloads.sourceforge.net/libusb/libusb-%{version}.tar.bz2
License: 	LGPLv2+
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686
URL: 		http://libusb.wiki.sourceforge.net/Libusb1.0
BuildRequires: doxygen

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
This package provides a way for applications to access USB devices. Note that
this library is not compatible with the original libusb-0.1 series.

%package devel
Summary: 	Development files for libusb
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	pkgconfig

%description devel
This package contains the header files, libraries  and documentation needed to
develop applications that use libusb1.

%prep
%setup -q -n libusb-%{version}

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"
pushd doc
make docs
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog
%_libdir/libusb-1.0.so.*

%files devel
%defattr(-,root,root)
%doc doc/html examples/*.c
%_includedir/libusb-1.0/libusb.h
%_libdir/libusb-1.0.so
%_libdir/libusb-1.0.a
%_libdir/libusb-1.0.la
%_pkgconfig/libusb-1.0.pc

%changelog
* Thu Aug 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.8-1
- Version update
* Tue Apr 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.7-1
- Version update
* Wed Dec 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-1
- Version update
* Fri Aug 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Version update
* Wed Jan 28 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- Initial release
